# Retrieve Billing Cycle History
source: https://developer.mastercard.com/mastercard-processing-credit/documentation/sandbox-testing/credit-card/retrieve-billing-cycle-history/index.md

## Test case -- Success {#test-case--success}

This test case describes retrieving a billing cycle summary for a specified contract stored in the CMS.

**Sample request**

`GET /contracts/70001/billing-histories`

**Sample response**

`200`

```JSON
{
    "billingHistories": [
        {
            "billingCycleNumber": 0,
            "billingDetails": "BLOCKED=0;BNM_BASE=-140;DUE=-30;FULL_BALANCE=-150;LOAN_BALANCE=-140;",
            "billingEndDate": "2021-06-25",
            "billingStartDate": "2021-05-26",
            "contractId": 60001,
            "correctedDueAmount": 25,
            "correctedOverdueAmount": 0,
            "correctedStatementBalance": 125,
            "correctedTotalBalance": 200,
            "currency": "EUR",
            "currencyNumericCode": "978",
            "dueAmount": 30,
            "dueDate": "2021-07-15",
            "overdueAmount": 15,
            "statementBalance": 150,
            "totalBalance": 150
        }
    ]
}
```

## Test case -- Success -- No Billing History {#test-case--success--no-billing-history}

This test case describes retrieving a billing summary for a specified contract stored in the CMS that does not have any billing history in the specified time.

For this test case, use the following information in the request:

|  Query parameter   |        Available value         |
|--------------------|--------------------------------|
| `card_contract_id` | Any date newer than 2021-06-26 |

**Sample request**

`GET /contracts/70001/billing-histories?billing_end_date=2021-07-29`

**Sample response**

`200`

```JSON
{
    "billingHistories": []
}
```

